set(auto2).

formulas(sos).
% axioms for theorem 3
Point(W).

all F all G ((Property(F) & Property(G)) -> (Implies(F,G) <-> (all x all  w (Point(w) -> (Ex1(F,x,w) -> Ex1(G,x,w)))))).

all x all G ((Object(x) & Property(G)) -> (IsAFormOf(x,G) <-> (Ex1(A,x,W) & (all F (Property(F) -> (Enc(x,F) <-> Implies(G,F))))))).

all x all y all w ((Object(x) & Object(y) & Point(w)) -> (PartPTA(x,y,w) <-> (exists F (Property(F) & IsTheFormOf(y,F) & Ex1(F,x,w))))).

all x all G ((Object(x) & Property(G)) -> (IsTheFormOf(x,G) <-> (IsAFormOf(x,G)  & (all y (IsAFormOf(y,G) -> y=x))))). 
end_of_list.
